# Document descriptif de l'application mobile : Movie Studio

## Objectif :

Créer une application qui permet de rechercher des films et de les ajouter à sa liste sur son téléphone afin de connaître les films qu'on à regardé et les noter. On peut consulter toutes les informations d'un film, poster, acteurs, avis, etc. Dans sa bibliothèque de film, on peut ajouter un commentaire personnel et une note. L'application utilise l'API The Movie Database, TMDB.

## Analyse fonctionnelle

### Rechercher un film via l'API TMDB 

Les utilisateurs pourront rechercher des films en utilisant l'API TMDB, permettant ainsi d'obtenir des informations détaillées sur les films disponibles.

### Choisir et ajouter un film à sa bibliothèque

Les utilisateurs auront la possibilité d'ajouter des films à leur bibliothèque personnelle après les avoir trouvés via la recherche.

### Mettre en favoris un film

Les utilisateurs pourront marquer des films comme favoris qui seront en suite affiché en premier dans la bibliothèque.

### Notation et commentaires

Les utilisateurs pourront d'attribuer une note à chaque film et ajouter des commentaires personnels.

### Détails des films

Informations détaillées sur chaque film :

* Nom
* Description
* Date de sortie
* Réalisateur
* Notes

### Interfaces

#### Bibliothèque (homepage)

![Library](mockups/Library.png)

#### Détails d'un film (affiché depuis la bibliothèque)

![Movie preview](mockups/Show_Movie.png)

#### Ajouter un film à la bibliothèque (utilisation de IMDB)

![Home](mockups/Add_Movie.png)

#### Paramètres

![Settings](mockups/Settings.png)

### Récolte des données / API :

L'application communiquera directement avec l'API TMDB pour la recherche de films.

https://developer.themoviedb.org/docs

