package com.example.moviestudio

import android.os.Bundle
import android.util.Log
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.compose.runtime.Composable
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import com.example.moviestudio.database.AppDatabase
import com.example.moviestudio.ui.screens.Library
import com.example.moviestudio.ui.screens.SearchMovie
import com.example.moviestudio.ui.screens.Settings
import com.example.moviestudio.ui.theme.MovieStudioTheme

class MainActivity : ComponentActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContent {
            MovieStudioTheme {
                NavigationSetup()
            }
        }
    }
}

@Composable
fun NavigationSetup() {
    val navController = rememberNavController()

    NavHost(
        navController = navController,
        startDestination = "LibraryActivity"
    ) {
        composable("LibraryActivity") {
            Library(navController)
        }
        composable("SearchMovieActivity") {
            SearchMovie(navController)
        }
        composable("SettingsActivity") {
            Settings(navController)
        }
    }
}
