package com.example.moviestudio.database

import androidx.room.Dao
import androidx.room.Delete
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query
import androidx.room.Update
import com.example.moviestudio.UserRating

@Dao
interface RatingDao {
    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insertUserRating(userRating: UserRating)

    @Query("SELECT * FROM ratings WHERE movie_id = :movieId")
    suspend fun getUserRatingById(movieId: Long): UserRating?
}
